package com.jeequan.jeepay.core.interfaces.paychannel;

import com.alibaba.fastjson.JSONObject;
import com.jeequan.jeepay.core.exception.BizException;

import java.util.ArrayList;
import java.util.List;

/***
* 获取进件数据
*
* @author zx
*
* @date 2022/01/17 09:52
*/
public interface IGetApplymentDataService {

    /** 获取支行列表 */
    default List<JSONObject> getBankBranchInfo(String isvNo, String bankAliasCode, String cityCode, String bankName, String branchName) throws BizException {
        return new ArrayList<>();
    }

    default List<JSONObject> getBankBranchInfo(String isvNo, String bankAliasCode, String cityCode) throws BizException {
        return new ArrayList<>();
    }
}
